/*----------------------------------------------------------
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version
2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place, Suite 330,
Boston, MA  02111-1307  USA

Original author: Hin Jang (December 5, 2003)
http://www.hinjang.com/gfx/
-----------------------------------------------------------*/

// ----------------------------------------------------------
// Observer.h
// ----------------------------------------------------------

#pragma once
#ifndef __OBSERVER_H__
#define __OBSERVER_H__

class Observer
{

public:

	Observer(double, double, int, int, int, int, int, int);
	~Observer(void);

	double getLatitude();
	double getLongtitude();
	int getYear();
	int getMonth();
	int getDay();
	int getHour();
	int getMinute();
	int getSecond();

private:

	double latitude;
	double longitude;
	int year;
	int month;
	int day;
	int hour;
	int minute;
	int second;

};

inline double Observer::getLatitude() { return latitude; }
inline double Observer::getLongtitude() { return longitude; }
inline int Observer::getYear() { return year; }
inline int Observer::getMonth() { return month; }
inline int Observer::getDay() { return day; }
inline int Observer::getHour() { return hour; }
inline int Observer::getMinute() { return minute; }
inline int Observer::getSecond() { return second; }

#endif // __OBSERVER_H__